> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get YouTube Channels

> This endpoint retrieves the channels for the authenticated user



## OpenAPI

````yaml post /youtube/analyzer/channels
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /youtube/analyzer/channels:
    post:
      tags:
        - youtube
      summary: Get YouTube Channels
      description: This endpoint retrieves the channels for the authenticated user
      operationId: youtube_get_channels
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChannels'
        required: true
      responses:
        '200':
          description: Channels fetched successfully
          content:
            application/json:
              schema:
                title: Channels Response Object
                type: object
                properties:
                  channels:
                    type: array
                    items:
                      title: YouTube Channel Details
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        category_id:
                          type: integer
                        category_name:
                          type: string
                        thumbnail_url:
                          type: string
                      description: YouTube Channel Details OpenAPI Schema
                  error:
                    type: string
                description: Channels Response Object OpenAPI Schema
              example:
                channels:
                  - id: UCX6OQ3DkcsbYNE6H8uQQuVA
                    name: MrBeast
                    category_id: 24
                    category_name: Category Mapping Not Initialized
                    thumbnail_url: >-
                      https://yt3.ggpht.com/fxGKYucJAVme-Yz4fsdCroCFCrANWqw0ql4GYuvx8Uq4l_euNJHgE-w9MTkLQA805vWCi-kE0g=s176-c-k-c0x00ffffff-no-rj-mo
                error: null
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  access_token:
                    type: array
                    items:
                      type: string
        '500':
          description: Channels were not fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  channels:
                    type: array
                    items:
                      title: YouTube Channel Details
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        category_id:
                          type: integer
                        category_name:
                          type: string
                        thumbnail_url:
                          type: string
                      description: YouTube Channel Details OpenAPI Schema
                  error:
                    type: string
components:
  schemas:
    GetChannels:
      required:
        - access_token
      type: object
      properties:
        access_token:
          title: Access token
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````